## org.gnu.gtk
Class TreeViewDropPosition

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.TreeViewDropPosition

public class TreeViewDropPosition
extends Enum

Field Summary
`static TreeViewDropPosition` `AFTER`
`static TreeViewDropPosition` `BEFORE`
`static TreeViewDropPosition` `INTO_OR_AFTER`
`static TreeViewDropPosition` `INTO_OR_BEFORE`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`TreeViewDropPosition` `and(TreeViewDropPosition other)`
`static TreeViewDropPosition` `intern(int value)`
`TreeViewDropPosition` `or(TreeViewDropPosition other)`
`boolean` `test(TreeViewDropPosition other)`
`TreeViewDropPosition` `xor(TreeViewDropPosition other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEFORE

    public static final TreeViewDropPosition BEFORE

### AFTER

    public static final TreeViewDropPosition AFTER

### INTO_OR_BEFORE

    public static final TreeViewDropPosition INTO_OR_BEFORE

### INTO_OR_AFTER

    public static final TreeViewDropPosition INTO_OR_AFTER

Method Detail

### intern

    public static TreeViewDropPosition intern(int value)

### or

    public TreeViewDropPosition or(TreeViewDropPosition other)

### and

    public TreeViewDropPosition and(TreeViewDropPosition other)

### xor

    public TreeViewDropPosition xor(TreeViewDropPosition other)

### test

    public boolean test(TreeViewDropPosition other)